TorqueScript Reference

- Main Page
- Related Pages
- Modules
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
AssetTagsManifest Class Reference

Inherits SimObject.

## Public Member Functions
void | createTag (tagName)
Boolean | deleteTag (tagName)
String | getAssetTag (assetId, int tagIndex)
Integer | getAssetTagCount (assetId)
String | getTag (int tagIndex)
Integer | getTagCount ()
Boolean | hasTag (assetId, tagName)
Boolean | isTag (tagName)
Boolean | renameTag (oldTagName, newTagName)
Boolean | tag (assetId, tagName)
Boolean | untag (assetId, tagName)
Public Member Functions inherited from SimObject
Integer | clone ([copyDynamicFields=false]?)
void | delete ()
Integer | getId ()
void | setName (newName)
String | getName ()
String | getClassNamespace ()
String | getSuperClassNamespace ()
void | setClassNamespace (nameSpace)
void | setSuperClassNamespace ()
Boolean | isMethod (string methodName)
String | call (methodName, [args]*)
void | dumpClassHierarchy ()
void | dump ()
Boolean | isMemberOfClass (string classname)
String | getClassName ()
String | getFieldValue (fieldName)
Boolean | setFieldValue (fieldName, value)
Integer | getDynamicFieldCount ()
String | getDynamicField (index)
Integer | getFieldCount ()
String | getField (int index)
void | setProgenitorFile (file)
String | getProgenitorFile ()
Integer | getType ()
String | getFieldType (fieldName)
void | setInternalName (string InternalName)
String | getInternalName ()
Boolean | isChildOfGroup (groupID)
Integer | getGroup ()
Boolean | startTimer (callbackFunction, float timePeriod, [repeat]?)
void | stopTimer ()
Boolean | isTimerActive ()
Integer | schedule (time, command, [arg]*)
Boolean | save (fileName, [selectedOnly]?)
void | addFieldFilter (fieldName)
void | removeFieldFilter (fieldName)

## Member Function Documentation

void createTag | ( | tagName |  | ) |

Creates an asset tag.

Parameters

  tagName | The tag name to create.

Returns
  No return value.

Boolean deleteTag | ( | tagName |  | ) |

Deletes an asset tag.

Parameters

  tagName | The tag name to delete.

Returns
  Whether the asset tag was deleted or not.

String getAssetTag | ( | assetId | ,
|  | int | tagIndex
| ) |  |

Gets the asset tag on the specified asset Id at the specified index.

Parameters

  assetId | The asset Id to count tags on.
  tagIndex | The asset tag index. This must be 0 to the asset tag count less one.

Returns
  The asset tag on the specified asset Id at the specified index or NULL if invalid.

Integer getAssetTagCount | ( | assetId |  | ) |

Gets the asset tag count on the specified asset Id.

Parameters

  assetId | The asset Id to count tags on.

Returns
  The asset tag count on the specified asset Id.

String getTag | ( | int | tagIndex | ) |

Gets the asset tag at the specified index.

Parameters

  tagIndex | The asset tag index. This must be 0 to the asset tag count less one.

Returns
  The asset tag at the specified index or NULL if invalid.

Integer getTagCount | ( |  | ) |

Gets the total asset tag count.

Returns
  The total asset tag count.

Boolean hasTag | ( | assetId | ,
|  | tagName |
| ) |  |

Checks whether the asset Id is tagged with the specified asset tag.

Parameters

  assetId | The asset Id to check.
  tagName | The tag name to check.

Returns
  Whether the asset Id is tagged with the specified asset tag or not.

Boolean isTag | ( | tagName |  | ) |

Checks whether the specified asset tag exists or not.

Parameters

  tagName | The tag name to check.

Returns
  Whether the specified asset tag exists or not.

Boolean renameTag | ( | oldTagName | ,
|  | newTagName |
| ) |  |

Renames an existing asset tag.

Parameters

  tagName | The tag name to rename.
  newTagName | The new tag name to assign.

Returns
  Whether the asset tag was renamed or not.

Boolean tag | ( | assetId | ,
|  | tagName |
| ) |  |

Tags the asset Id with the specified asset tag.

Parameters

  assetId | The asset Id to tag.
  tagName | The tag name to assign.

Returns
  Whether the tag operation was successful or not.

Boolean untag | ( | assetId | ,
|  | tagName |
| ) |  |

Un-tags the asset Id from the specified asset tag.

Parameters

  assetId | The asset Id to un-tag.
  tagName | The tag name to un-assign.

Returns
  Whether the un-tag operation was successful or not.